Summary:	Advanced ANSI formatting tool for Node.js
Name:		nodejs-ansi
Version:	0.3.0
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/ansi/-/ansi-%{version}.tgz
# Source0-md5:	0a056443be409b8eec23ea9d10b5bf24
URL:		https://github.com/TooTallNate/ansi.js
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ansi.js is a module for Node.js that provides an easy-to-use API for
writing ANSI escape codes to Stream instances. ANSI escape codes are
used to do fancy things in a terminal window, like render text in
colors, delete characters, lines, the entire window, or hide and show
the cursor, and lots more!

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{nodejs_libdir}/ansi
cp -pr lib package.json $RPM_BUILD_ROOT%{nodejs_libdir}/ansi

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/ansi
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jan 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-ansi.git;a=log;h=master

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 7e47211
- up to 0.3.0

* Tue Mar 11 2014 Elan Ruusamäe <glen@delfi.ee> c4365d2
- URL after Sources

* Tue Mar 04 2014 Łukasz Kieś <kiesiu@pld-linux.org> 0aeecc9
- updated to 0.2.1
- better Summary

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> dc8dbac
- G: Development/Libraries

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> 038305f
- new,
  based on src.rpm from http://nodejs.tchol.org/ repo

